Bug 169248 - no ACPI events delivered to /proc/acpi/event
no ACPI events delivered to /proc/acpi/event
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-09-26 02:29 EDT by Thomas M Steenholdt
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-16 17:43:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas M Steenholdt 2005-09-26 02:29:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050914 Fedora/1.5b1-0.fc3 Firefox/1.4

Description of problem:
sometimes, ACPI events fail to make it to /proc/acpi/event, or acpi breaks down completely in the kernel(?). This SEEMS to happen particularly after suspend to mem (echo -n mem > /sys/power/state).

This is what happens...

If I stop the acpi daemon for testing, then start "cat /proc/acpi/event" to watch the messages and then start generating ACPI events, the results are unstable.

Sometimes i'll get the events normally. Sometimes, i won't get them at all and yet other times, i'll get the first few events and then no more.

I have been able to get things working again by reloading the ac and battery modules, but again, this does not work every time.

I guess this problem is related to the major ACPI changes from 2.6.11 to 2.6.12 somewhere.

If you don't have all the info, ask and i'll provide! :o)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Resume machine from suspend to memory
2. service acpid stop; cat /proc/acpi/event
3. generate acpi events (un/re-plug power, hit various acpi keys)

Actual Results:  Sometimes no events will show, sometimes no more than a few.

Expected Results:  Events should be delivered reliably every time an event is generated.

Additional info:

My machine is an IBM ThinkPad T30 (2366-JBG), i've built an ibm_acpi module from the source from ibm-acpi.sf.net but the problems happen even without the ibm_acpi module.
Comment 1 Thomas M Steenholdt 2005-10-06 01:00:30 EDT
Change reproducibility to "some times"...
Comment 2 Dave Jones 2006-01-16 17:14:32 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 3 Thomas M Steenholdt 2006-01-16 17:43:21 EST
Haven't seen this in a while, so it's probably safe to assume that things are
fixed now... Especially since ACPI state of FC4 is actually pretty solid right now!

Note You need to log in before you can comment on or make changes to this bug.